<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace ModulesGarden\HostingQuotaNotifications\App\Libs\Cron;

use \ModulesGarden\HostingQuotaNotifications\App\Libs\Groups;
use \ModulesGarden\HostingQuotaNotifications\App\Libs\Cron\Notifications\Types;

/**
 * Description of Request
 *
 * @author Artur Pilch <artur.pi@modulesgarden.com>
 */
class Notifications
{
    private $types;

    public function __construct()
    {
        $this->types = new Types();
    }

    public function run()
    {
        $groups = Groups\Manage::getEnabledGroups()->toArray();

        foreach ($groups as $group)
        {
            $this->types->research($group);
        }
    }
}
